Bug 168439 - setting 'right goes back in history' does not work like in kde3
Summary: setting 'right goes back in history' does not work like in kde3
Status: RESOLVED FIXED
Alias: None
Product: konqueror
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Fedora RPMs Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Konqueror Developers
URL:
Keywords:
Depends on:
Blocks: 122613
  Show dependency treegraph
 
Reported: 2008-08-05 18:22 UTC by Juha Tuomala
Modified: 2010-01-21 19:27 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Juha Tuomala 2008-08-05 18:22:43 UTC
Version:            (using KDE 4.1.0)
Installed from:    Fedora RPMs

I've it enabled, clicking it just opens the RMB menu, not go back.

In kde3 you had to click RMB and move the mouse a bit to open the menu.
Comment 1 Kevin Kofler 2008-08-05 18:25:27 UTC

*** This bug has been marked as a duplicate of 165254 ***
Comment 2 Juha Tuomala 2008-08-05 18:34:39 UTC
bug #165254 is about how it works in menu itself.

If you don't this bug's feature enabled, you might want to just use the 'back' from RMB menu (topmost item in that menu), but new kde4 gives you that *list of history* and you *have* to go one menu deeper to get what you want.

That's different thing compared to RMB click that doesn't open any menu, just takes you back instantly.
Comment 3 Kevin Kofler 2008-08-05 18:38:46 UTC
Oh, OK, understood, sorry.
Comment 4 Staffan Palmroos 2009-07-16 09:54:07 UTC
Confirmed: I'm running KDE 4.2.4 in Gentoo and the "Right click goes back in history" setting is completely ignored.
Comment 5 Juha Tuomala 2009-07-16 10:13:43 UTC
Let's put some votes in then that we get this to NEW state.
Comment 6 FiNeX 2009-11-02 13:55:23 UTC
Untile this feature is not implemented in KDE4, the option could be hidden.
Comment 7 David Faure 2009-11-17 02:41:29 UTC
SVN commit 1050276 by dfaure:

Fix regression (compared to kde3) : make "Right click goes back in history" feature work again.
Fixed for: 4.4.0
BUG: 168439


 M  +1 -0      CMakeLists.txt  
 M  +5 -0      konqmainwindow.cpp  
 A             konqrmbeventfilter.cpp   [License: LGPL (v2/3+eV)]
 A             konqrmbeventfilter.h   [License: LGPL (v2/3+eV)]
 M  +1 -1      konqueror.kcfg  
 M  +0 -85     konqview.cpp  
 M  +0 -7      konqview.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1050276
Comment 8 Juha Tuomala 2009-11-17 10:00:32 UTC
Thanks David, much appreciated. Just thought this yesterday again and hoped it to get fixed.
Comment 9 David Faure 2010-01-21 19:27:10 UTC
SVN commit 1078191 by dfaure:

Backport 1050276: Repair 'right click goes back in history' feature.
Fixed for: 4.3.5
CCBUG: 168439


 M  +1 -0      CMakeLists.txt  
 M  +5 -0      konqmainwindow.cpp  
 A             konqrmbeventfilter.cpp   trunk/KDE/kdebase/apps/konqueror/src/konqrmbeventfilter.cpp#1050276 [License: LGPL (v2/3+eV)]
 A             konqrmbeventfilter.h   trunk/KDE/kdebase/apps/konqueror/src/konqrmbeventfilter.h#1050276 [License: LGPL (v2/3+eV)]
 M  +1 -1      konqueror.kcfg  
 M  +0 -85     konqview.cpp  
 M  +0 -7      konqview.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1078191